
EXIT IF DEFINED STDINC
DEFINE STDINC 1

; Function codes 
DEFINE FN_RESET     0    ; Reset application
DEFINE FN_SHELLCMD  1    ; Execute shell command
DEFINE FN_SETDEF    2    ; Set defaults
DEFINE FN_GETCFG    3    ; Get config data
DEFINE FN_GETRLS    4    ; Get S/W release info
DEFINE FN_CLRQ      5    ; Clear queue & background task
DEFINE FN_SETID     6    ; Set unit ID
DEFINE FN_GO        7    ; Go command
DEFINE FN_HOLD      8    ; Hold command
DEFINE FN_IMM       9    ; Make next command immediate
DEFINE FN_RDFPGA    10   ; Read FPGA reg <dev/ch> <reg>
DEFINE FN_WRFPGA    11   ; Write FPGA <dev/ch> <ctl> <data> ...
DEFINE FN_RS232     12   ; RS232 mode bus/independant
DEFINE FN_RDI2C     13   ; Read I2C <addr> [<sub>]
DEFINE FN_WRI2C     14   ; Write I2C reg <addr> [<sub>] <data>
DEFINE FN_MONF      15   ; Monitor functions
DEFINE FN_TSERV     16   ; Get TFTP server info
DEFINE FN_VFDMSG    17   ; VFD msg <type> [key] | dly "msg" [ 0 ["msg"]]
DEFINE FN_TSTCSR    18   ; Test cross hair [[r,g,b] &x &y]
DEFINE FN_SETIN     19   ; Set I/P <src> {[auto] | [auto, task, &dx, &dy, rate, rfsh]}
DEFINE FN_GETIN     20   ; Get I/P status
DEFINE FN_SAVEIN    21   ; Save video input settings
DEFINE FN_SETOUT    22   ; Set video out DVI, YPrPb, RGB
DEFINE FN_READOUT   23   ; Read current Encoder settings
DEFINE FN_SAVEOUT   24   ; Save Encoder settings
DEFINE FN_SETLOC    25   ; Set Monitor location <ch> <x> <y>
DEFINE FN_RDMONST   26   ; Read monitor state
DEFINE FN_FILTER    27   ; Set interpolation filter setting <ch> <state>
DEFINE FN_SAVEMAP   28   ; Save monitor output mapping
DEFINE FN_ALGNCOL   29   ; Set column alignment <ch> <offset>
DEFINE FN_ALGNROW   30   ; Set row alignment <ch> <offset>
DEFINE FN_ALGNSAVE  31   ; Save aligment
DEFINE FN_RSTALGN   32   ; Set aligment settings to default
DEFINE FN_RDASYM    33   ; Read alignment
DEFINE FN_AUXOUT    34   ; Send text to Loop
DEFINE FN_CHKBFNAME 35   ; Check if BF:file exists "fname"
DEFINE FN_SQUEEZE   36   ; Sequeeze BF:
DEFINE FN_CHKSQZ    37   ; Check squeeze progress
DEFINE FN_WRCFG     38   ; Write base config
DEFINE FN_SPLIT     40   ; Set global split {y=x} | {x,y}
DEFINE FN_SETWASH   41   ; Set wash <ch> <R> <G> <B>
DEFINE FN_DSPMODE   42   ; Monitor display mode VIDEO/WASH/Test
DEFINE FN_FREEZE    43   ; Freeze <A|B> <mode>
DEFINE FN_SEQIRN    50   ; Run sequence from key N
DEFINE FN_RUNSEQ    51   ; Run named sequence file
DEFINE FN_READSEQ   52   ; Get executing sequence filename
DEFINE FN_STOPSEQ   53   ; Cancel executing sequence
DEFINE FN_GETSYNC   55   ; Get I/P sync state

; High level macros

; Default device type
DEFINE BRICKHD 7
DEFINE *      -1

; Display modes, Video or colour wash
DEFINE VIDEO 0
DEFINE WASH  1

; On/Off for Freeze states
DEFINE ON	1
DEFINE OFF	0

; Video input (HD) sources
DEFINE DVI     0
; MK1 and MK2 hardware
DEFINE YPrPb:1 1
DEFINE YPrPb:2 5
DEFINE VGA     4

; MK3 hardware
DEFINE YPrPb 1

; Set split.   SPLIT <X> [<Y>]
DEFINE SPLIT   send BRICKHD _UNIT FN_SPLIT 

; Set display mode.  DISPLAY <CH> <{VIDEO|WASH}>
DEFINE DISPLAY send BRICKHD _UNIT FN_DSPMODE  

; Define the wash colour.   WASH <CH> <R> <G> <B>
DEFINE COLOUR send BRICKHD _UNIT FN_SETWASH
DEFINE COLOR COLOUR

; Set the video I/P source.  SOURCE <{DVI|VGA|YPrPb:{1|2}}> 
; (Sets auto video standard mode as well)
DEFINE SOURCE  send BRICKHD _UNIT FN_SETIN 

; Set a video monitor array positon.  MAP <CH> <X> <Y>
DEFINE MAP     send BRICKHD _UNIT FN_SETLOC 

; Send a shell command.   COMMAND "shell command"
DEFINE COMMAND send BRICKHD _UNIT FN_SHELLCMD
